using System.Collections.Generic;
using System.Text.Json.Serialization;

namespace StellaOps.Feedser.Source.Ics.Cisa.Internal;

public sealed record IcsCisaFeedDto
{
    [JsonPropertyName("topicId")]
    public required string TopicId { get; init; }

    [JsonPropertyName("feedUri")]
    public required string FeedUri { get; init; }

    [JsonPropertyName("advisories")]
    public IReadOnlyCollection<IcsCisaAdvisoryDto> Advisories { get; init; } = new List<IcsCisaAdvisoryDto>();
}
